## netkit-rwho 0.10

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   rwho rwhod

%.build:
	$(MAKE) -C $(patsubst %.build, %, $@)

%.install:
	$(MAKE) -C $(patsubst %.install, %, $@) install

%.clean:
	$(MAKE) -C $(patsubst %.clean, %, $@) clean

all:     $(patsubst %, %.build, $(SUB))
install: $(patsubst %, %.install, $(SUB))
clean:   $(patsubst %, %.clean, $(SUB))

=== rwho/Makefile ===
all: rwho

include ../MCONFIG
include ../MRULES

CFLAGS += -I ../include

rwho: rwho.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: rwho
	install -s -m$(BINMODE) rwho $(INSTALLROOT)$(BINDIR)
	install -m$(MANMODE) rwho.1 $(INSTALLROOT)$(MANDIR)/man1/

clean:
	rm -f *.o rwho

## netkit-rwho 0.17

=== debian/changelog ===
netkit-rwho (0.17-16) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.2.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Dropped obsolete lsb-base as it is replaced with essential sysvinit-utils
    for the init.d script functions.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 08 Nov 2024 08:13:42 +0100

netkit-rwho (0.17-15) unstable; urgency=medium

  * Orphan package. Set maintainer to QA.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 24 Sep 2022 13:33:15 +0200

netkit-rwho (0.17-14) unstable; urgency=medium

  [ Christoph Biedl ]
  * Move build system to cmake. (Closes: #912130)
  * Mayor cleanup in debian/
  * Moved to debhelper compat 10

  [ Alberto Gonzalez Iniesta ]
  * Bumped Standards-Version to 4.2.1. No changes.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 13 Dec 2018 13:49:05 +0100

netkit-rwho (0.17-13) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
    Moved previous upstream changes to debian/patches.
  * Patched rwhod.c to fix rwhod not showing on all interfaces.
    Patch from Ian Donaldson for Fedora.
    (Closes: #707253, #255194)
  * Switch to dh.
  * Bumped Standards-Version to 3.9.4.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 05 Jun 2013 10:21:50 +0200

netkit-rwho (0.17-12) unstable; urgency=low

  * The Petter & Peter release.
  * debian/rules & debian/control clean up & updating
  * Moved to debhelper compat 7
  * Added dependency on $syslog to init.d script (Closes: #541484)
  * Added "status" target on init.d script (Closes: #528846)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 07 Sep 2009 12:45:09 +0200

netkit-rwho (0.17-11) unstable; urgency=low

  * rwhod.c: Fixed colon position in getopt.
    (Closes: #468491, #480842)
    Thanks Ludovico Gardenghi for noticing.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 18:05:55 +0200

netkit-rwho (0.17-10) unstable; urgency=low

  * LSB header in init.d script. Change $local_fs to $remote_fs.
    (Closes: #458505)
  * Changed init.d script to use LSB output functions.
    (Closes: #457660)
  * Bumped Standards-Version to 3.7.3.0

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 10 Feb 2008 13:05:01 +0100

netkit-rwho (0.17-9) unstable; urgency=low

  * Condition the call to userdel in postrm. (Closes: #417021)
  * Added support for specifying rwhod options in /etc/default/rwhod.
    (Closes: #406093)
  * Moved to debhelper compatibility 4. Created debian/compat.
  * Bumped Standards-Version to 3.7.2.2
  * init.d script: Added LSB section
  * Corrected man page on -u option. (Closes: #337730)
  * Fixed -? option handling and added -h with the same behaviour.
    (Closes: #337732)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 06 Apr 2007 13:03:22 +0200

netkit-rwho (0.17-8) unstable; urgency=high

  * Security: Check for the packet size to fix denial of service
    [rwhod/rwhod.c, CAN-2004-1180]. Set urgency to high due to this.
    Thanks Martin 'Joey' Schulze for the patch.
  * Changed maintainer email address.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Feb 2005 12:39:18 +0100

netkit-rwho (0.17-7) unstable; urgency=low

  * New Maintainer. (Closes: #249713)
  * Added versioned Build-Depends on debhelper.
  * Bumped Standards-Version to 3.6.1, no change.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 19 May 2004 16:34:35 +0200

netkit-rwho (0.17-6) unstable; urgency=low

  * Fixed resetting of forwarded_packets counter.

 -- Herbert Xu <herbert@debian.org>  Sun, 27 Oct 2002 21:16:49 +1100

netkit-rwho (0.17-5) unstable; urgency=low

  * Call configure before forking to fix forwarding (Jerome Petazzoni).

 -- Herbert Xu <herbert@debian.org>  Sun,  1 Sep 2002 09:10:51 +1000

netkit-rwho (0.17-4) unstable; urgency=low

  * Clean up old rwho files (Philippe Troin, closes: #114337).

 -- Herbert Xu <herbert@debian.org>  Sat,  6 Oct 2001 12:07:44 +1000

netkit-rwho (0.17-3) unstable; urgency=low

  * Don't stat tty devices with colons in it (closes: #95788).

 -- Herbert Xu <herbert@debian.org>  Thu,  3 May 2001 19:27:57 +1000

netkit-rwho (0.17-2) unstable; urgency=low

  * Fixed pointless PREREQ check that caused the arm build to fail.

 -- Herbert Xu <herbert@debian.org>  Sat, 17 Feb 2001 22:16:14 +1100

netkit-rwho (0.17-1) unstable; urgency=low

  * New upstream release.
  * Turned chroot off since it stops logging.
  * Fixed null termination bug with wd_hostname.
  * Print numbers-and-dots instead of raw IP address (Peter Maydell,
    closes: #77272).

 -- Herbert Xu <herbert@debian.org>  Sun, 19 Nov 2000 19:06:59 +1100

netkit-rwho (0.16-1) unstable; urgency=low

  * New upstream release.
  * Merged ruptime into the rwho package.
  * Run rwhod with -b by default (closes: #59981).

 -- Herbert Xu <herbert@debian.org>  Tue, 18 Jul 2000 22:23:23 +1000

netkit-rwho (0.10-8) frozen unstable; urgency=low

  * Fixed a typo in the init script that stopped rwhod from being restarted
    (closes: #51375, #59283, #59363).

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Mar 2000 15:26:32 +1100

netkit-rwho (0.10-7) unstable; urgency=low

  * Modified init.d script so that rwhod is only started if it isn't already
    running (closes: #50488).

 -- Herbert Xu <herbert@debian.org>  Thu, 18 Nov 1999 14:13:28 +1100

netkit-rwho (0.10-6) unstable; urgency=low

  * Added a check for the existence of /usr/sbin/rwhod before trying to stop it
    (closes: #50186).

 -- Herbert Xu <herbert@debian.org>  Mon, 15 Nov 1999 09:31:44 +1100

netkit-rwho (0.10-5) unstable; urgency=low

  * Always create /var/spool/rwho in postinst (closes: #50070).

 -- Herbert Xu <herbert@debian.org>  Sat, 13 Nov 1999 23:35:00 +1100

netkit-rwho (0.10-4) unstable; urgency=low



=== debian/control ===
Source: netkit-rwho
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends: cmake,
               debhelper (>= 10~),
Vcs-Browser: https://salsa.debian.org/debian/netkit-rwho
Vcs-Git: https://salsa.debian.org/debian/netkit-rwho.git

Package: rwhod
Architecture: any
Depends: adduser,
         passwd,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: netstd,
Description: System status server
 Rwhod is the server which maintains the database used by the rwho(1)
 and ruptime(1) programs.  Its operation is predicated on the ability to
 broadcast messages on a network.

Package: rwho
Architecture: any
Depends: rwhod,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: netstd,
          ruptime,
Conflicts: ruptime,
Description: Clients to query the rwho server
 The rwho command produces output similar to who, but for all machines on
 the local network.  If no report has been received from a machine for 11
 minutes then rwho assumes the machine is down, and does not report users
 last known to be logged into that machine.
 .
 The ruptime command gives a status line like uptime for each machine on the
 local network; these are formed from packets broadcast by each host on the
 network once a minute.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	dh_missing --fail-missing
